import { Component, inject, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-test-route',
  standalone: true,
  imports: [],
  templateUrl: './test-route.component.html',
  styleUrl: './test-route.component.css'
})
export class TestRouteComponent implements OnInit {

private route = inject(ActivatedRoute)

ngOnInit(): void {
  alert(this.route.snapshot.paramMap.get('param1'))
}

}
